package org.apache.commons.lang3.text;

package .tmp;

import java.util.Arrays;
import org.apache.commons.lang3.ArraySorter;
import org.apache.commons.lang3.text.StrMatcher;

final class CharSetMatcher extends StrMatcher {
  private final char[] chars;
  
  CharSetMatcher(char[] chars) {
    this.chars = ArraySorter.sort((char[])chars.clone());
  }
  
  public int isMatch(char[] buffer, int pos, int bufferStart, int bufferEnd) {
    return (Arrays.binarySearch(this.chars, buffer[pos]) >= 0) ? 1 : 0;
  }
}
